( function( $ ) {

    "use strict";

    var pxl_widget_tabs_handler = function( $scope, $ ) {
        $scope.find(".pxl-tabs.tab-effect-slide .pxl-tab--title").on("click", function(e){
            e.preventDefault();
            var target = $(this).data("target");
            var parent = $(this).parents(".pxl-tabs");
            parent.find(".pxl-tabs--content .pxl-tab--content").slideUp(300);
            parent.find(".pxl-tabs--title .pxl-tab--title").removeClass('active');
            $(this).addClass("active");
            $(target).slideDown(300);

            setTimeout(function() {
                $(target).find('.pxl-songs-table tr').removeClass('active');
                $(target).find('.pxl-songs-table tr:nth-child(-n+7)').addClass('active');
                $(target).find('#pxl-songs-load').show();
            }, 100);
        });

        $scope.find(".pxl-tabs.tab-effect-fade .pxl-tab--title").on("click", function(e){
            e.preventDefault();
            var target = $(this).data("target");
            var parent = $(this).parents(".pxl-tabs");
            parent.find(".pxl-tabs--content .pxl-tab--content").removeClass("active");
            parent.find(".pxl-tabs--title .pxl-tab--title").removeClass('active');
            $(this).addClass("active");
            $(target).addClass("active");

            setTimeout(function() {
                $(target).find('.pxl-songs-table tr').removeClass('active');
                $(target).find('.pxl-songs-table tr:nth-child(-n+7)').addClass('active');
                $(target).find('#pxl-songs-load').show();
            }, 100);
        });
    };

    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/pxl_tabs.default', pxl_widget_tabs_handler );
        elementorFrontend.hooks.addAction( 'frontend/element_ready/pxl_tabs_pricing.default', pxl_widget_tabs_handler );
    } );

} )( jQuery );